/***************************************************************************
 *   Copyright (C) 2006 by Jeziorski, Weintraub, Benkard and Van Roy       *
 *   przemekj@stanford.edu                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/** \file investmentCost.h Using src/compoe/investmentCost.h you can implement investment cost.
    The file must constain macro MACRO__MINVCOST(x)
    \param x State of the firm
*/

#ifndef INVESTMENTCOST_H
#define INVESTMENTCOST_H

#define MACRO__MINVCOST(x) (constants[1] + 1.0*((x)/constants[4])*((x)/constants[4]));
//#define MACRO__MINVCOST(x) (constants[1]);

#endif
